package pps.core.base.service;

import pps.cloud.base.service.IWindPredictionHistoryCloudService;
import pps.core.base.service.data.base_data.GetBaseDataInput;
import pps.core.base.service.data.base_power_line.DynamicQueryBasePowerLineInput;
import pps.core.base.service.data.base_power_line.DynamicQueryBasePowerLineOutput;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XListResult;
import xstartup.data.XServiceResult;
import xstartup.feature.api.annotation.XApiGet;
import xstartup.feature.api.annotation.XApiPost;

@XService
public class BaseLineService {

    @XText("线路列表")
    @XApiPost
    public XListResult<DynamicQueryBasePowerLineOutput> queryBaseLineList(XContext context, DynamicQueryBasePowerLineInput input) {
        BasePowerLineService bean = context.getBean(BasePowerLineService.class);
        return bean.queryBasePowerLineList(context, input);
    }

    @XText("天气")
    @XApiGet(anonymous = true)
    public XServiceResult test(XContext context, GetBaseDataInput input) {
        IWindPredictionHistoryCloudService service = context.getBean(IWindPredictionHistoryCloudService.class);
        service.windPredictionHistoryJob(context);
        return XServiceResult.OK;
    }
}